Subject: Re: What's in git.git (stable)

From: Shawn Pearce <[email-masked]>
Date: Thu, 14 Dec 2006 17:44:21 -0500

Junio C Hamano <[email-masked]> wrote:
> Maybe a check to say if $GIT_DIR is ".git" or ends with "/.git"
> then enable it and otherwise honor the configuration variable,
> without changing the default in the code (with your patch) nor
> in the default configuration ("enable for new repositories" as I
> suggested) might be a workable compromise.

See my latest patch.  Though that patch also sets the value in the
config file, much as core.filemode is also set in the config file,
based on the guess determined by init-db at the time it was executed.

--